Package org.apache.calcite.avatica.remote

# Enum Driver.Serialization

java.lang.Object
java.lang.Enum<Driver.Serialization>
org.apache.calcite.avatica.remote.Driver.Serialization

All Implemented Interfaces:
  `Serializable`, `Comparable<Driver.Serialization>`, `java.lang.constant.Constable`

Enclosing class:
  Driver

public static enum Driver.Serialization extends Enum<Driver.Serialization>
Defines the method of message serialization used by the Driver

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JSON`
`PROTOBUF`

## Method Summary

Modifier and Type
Method
Description
`static Driver.Serialization`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Driver.Serialization[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JSON

public static final Driver.Serialization JSON

### PROTOBUF

public static final Driver.Serialization PROTOBUF

## Method Details

### values

public static Driver.Serialization[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Driver.Serialization valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null